org.eclipse.gef

## Class GEFPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.gef.GEFPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

Deprecated.
The GEF plugin class must not be referenced by clients.

    public final class GEFPlugin
    extends AbstractUIPlugin

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Method Summary

Methods
`static IPropertySheetEntry` `createUndoablePropertySheetEntry(CommandStack stack)` Deprecated. use org.eclipse.gef.ui.properties.UndoablePropertySheetEntry
`static GEFPlugin` `getDefault()` Deprecated. Gets the plugin singleton.

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createUndoablePropertySheetEntry

    public static IPropertySheetEntry createUndoablePropertySheetEntry(CommandStack stack)

Deprecated. use org.eclipse.gef.ui.properties.UndoablePropertySheetEntry
This method will be deleted.

Parameters:
  `stack` - a command stack
Returns:
  the implementation for the entry

#### getDefault

    public static GEFPlugin getDefault()

Deprecated.
Gets the plugin singleton.

Returns:
  the default GEFPlugin singleton